Uprgrading Tiger > Leopard: Will everything work? Do I n

Discussion of music production, audio, equipment and any related topics, either with or without Ableton Live
Post Reply
kramerica
Posts: 748
Joined: Thu Dec 01, 2005 4:25 am
Location: Chicago

Uprgrading Tiger > Leopard: Will everything work? Do I need

Post by kramerica » Thu Sep 04, 2008 12:50 am

Last time I upgraded to a new OS (Tiger), none of my 3rd party apps worked (NI vsts, flip 4 mac, connect 360, etc.). It's been so long that I don't remember if I need to reinstall apps like Live or if everything will be the same, requiring no reinstall.

Anyone care to enlighten me?

Has anyone had any problems?

It's been long enough that I was hoping it would be kosher to upgrade. My Tiger calendar doesn't sync w/ my iphone and I was told I need to upgrade in order for it to work. It's kind of important to me.

thx!
\,, / (^_^) \,,? /

muthafunka
Posts: 2241
Joined: Fri Jan 10, 2003 5:28 pm
Location: Tokyo

Post by muthafunka » Thu Sep 04, 2008 1:54 am

Think plenty of peeps are on Leopard here, I'm still on Tiger and a buddy just went back to Tiger due to too many Logic probs so YMMV. Guess the best thing to do is check/ask at relevant forums. If you do decide to go for it...you should DEF. back up your current working system using CarbonCopyCloner or similar so you can go back if it all goes tits up.

doc holiday
Posts: 1683
Joined: Thu Jan 24, 2008 1:49 am
Location: NOW

Post by doc holiday » Thu Sep 04, 2008 2:32 am

10.5.x works without hiccup on my end, my 10.5 box never had 10.4

that upgrade was a new system and different architecture, so i knew nothing would work.

do you need to upgrade? it is mostly glitter

if you do, as mentioned, clone your harddrive and test the install, if the upgrade is haywire you can reverse clone back and be where you were.

have two boot drives one for music one for whatever you want 10.5 for..

!always be safe when you update!

kramerica
Posts: 748
Joined: Thu Dec 01, 2005 4:25 am
Location: Chicago

Post by kramerica » Thu Sep 04, 2008 4:47 am

doc holiday wrote:10.5.x works without hiccup on my end, my 10.5 box never had 10.4

that upgrade was a new system and different architecture, so i knew nothing would work.

do you need to upgrade? it is mostly glitter

if you do, as mentioned, clone your harddrive and test the install, if the upgrade is haywire you can reverse clone back and be where you were.

have two boot drives one for music one for whatever you want 10.5 for..

!always be safe when you update!
For my iphone calendar to sync via MobileMe I do need to upgrade. Sort of bullshit, imo.

So some people are telling me that I have to reinstall and others are saying I won't. :?
\,, / (^_^) \,,? /

doc holiday
Posts: 1683
Joined: Thu Jan 24, 2008 1:49 am
Location: NOW

Post by doc holiday » Thu Sep 04, 2008 2:51 pm

make yourself a clone, test your clone.

you can then safely test the upgrade.

robfoster
Posts: 133
Joined: Tue Apr 08, 2008 12:51 pm

Post by robfoster » Thu Sep 04, 2008 7:18 pm

Ive just gone leopard, only problem ive had is my fast track pro keeps cutting out after an hour, i think thats more down to the shiteness of m-audio drivers than anything else, i dont have tons of plugins, but both ableton and logic work great for me since the update, theres another update 10.5.6 in the next couple of weeks which will probably iron out a few more creases....
Lion 10.7.2
Mac Mini 2.4Ghz
Ableton live 8.26
Logic pro 9.15

My Website

jgerry
Posts: 26
Joined: Tue May 22, 2007 6:26 pm
Location: Atlanta, GA, USA

Post by jgerry » Thu Sep 04, 2008 9:16 pm

There were definitely some glitches upgrading NI VSTs. i think they've all since been worked out, but you'll definitely want to check on versions and upgrades from NI and make sure you're current before you test.

+1 on making a clone of your system and testing the upgrade on the clone before you go forward on your actual system. External drives are cheap. Fixing a broken audio setup is not.

doghouse
Posts: 1451
Joined: Fri Aug 29, 2008 5:30 pm

Post by doghouse » Fri Sep 05, 2008 1:36 pm

kramerica wrote:For my iphone calendar to sync via MobileMe I do need to upgrade. Sort of bullshit, imo.
A great example of why your music computer should only run your music apps.

Post Reply